Orxonox: orxonox::ChatOverlay Class Reference

# orxonox::ChatOverlay Class Reference

`#include <src/orxonox/overlays/hud/ChatOverlay.h>`

Inheritance diagram for orxonox::ChatOverlay:

List of all members.

## Public Member Functions

| ChatOverlay (BaseObject *creator)
void | setConfigValues ()
| Function to collect the SetConfigValue-macro calls.
virtual | ~ChatOverlay ()

## Protected Member Functions

virtual void | incomingChat (const std::string &message, unsigned int senderID)

## Protected Attributes

std::list< Ogre::UTFString > | messages_

## Private Member Functions

void | dropMessage ()
void | updateOverlayText ()

## Private Attributes

float | displayTime_

## Constructor & Destructor Documentation

orxonox::ChatOverlay::ChatOverlay | ( | BaseObject * | creator | ) |

References displayTime_, RegisterObject, and setConfigValues().

orxonox::ChatOverlay::~ChatOverlay | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::ChatOverlay::dropMessage | ( |  | ) | `[private]`

References messages_, and updateOverlayText().

Referenced by incomingChat().

void orxonox::ChatOverlay::incomingChat | ( | const std::string & | message,
|  | unsigned int | senderID |
| ) |  |  | `[protected, virtual]`

Implements orxonox::ChatListener.

References orxonox::CLIENTID_UNKNOWN, COUT, orxonox::createExecutor(), displayTime_, dropMessage(), orxonox::PlayerManager::getClient(), orxonox::PlayerManager::getInstance(), orxonox::BaseObject::getName(), messages_, and updateOverlayText().

void orxonox::ChatOverlay::setConfigValues | ( |  | ) |

Function to collect the SetConfigValue-macro calls.

Reimplemented from orxonox::OrxonoxClass.

References displayTime_, and SetConfigValue.

Referenced by ChatOverlay().

void orxonox::ChatOverlay::updateOverlayText | ( |  | ) | `[private]`

References messages_, and orxonox::OverlayText::text_.

Referenced by dropMessage(), and incomingChat().

## Member Data Documentation

float orxonox::ChatOverlay::displayTime_`[private]`

Referenced by ChatOverlay(), incomingChat(), and setConfigValues().

std::list<Ogre::UTFString> orxonox::ChatOverlay::messages_`[protected]`

Referenced by dropMessage(), incomingChat(), and updateOverlayText().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/hud/ChatOverlay.h
- src/orxonox/overlays/hud/ChatOverlay.cc